org.springframework.jms.config

## Class SimpleJmsListenerContainerFactory

- java.lang.Object
- - org.springframework.jms.config.AbstractJmsListenerContainerFactory<SimpleMessageListenerContainer>
  - - org.springframework.jms.config.SimpleJmsListenerContainerFactory

All Implemented Interfaces:
  JmsListenerContainerFactory<SimpleMessageListenerContainer>

    public class SimpleJmsListenerContainerFactory
    extends AbstractJmsListenerContainerFactory<SimpleMessageListenerContainer>

A `JmsListenerContainerFactory` implementation to build a standard `SimpleMessageListenerContainer`.

Since:
  4.1
Author:
  Stephane Nicoll

### Field Summary

### Fields inherited from class org.springframework.jms.config.AbstractJmsListenerContainerFactory

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SimpleJmsListenerContainerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SimpleMessageListenerContainer` `createContainerInstance()` Create an empty container instance.

### Methods inherited from class org.springframework.jms.config.AbstractJmsListenerContainerFactory

`createListenerContainer, initializeContainer, setAutoStartup, setClientId, setConnectionFactory, setDestinationResolver, setErrorHandler, setExceptionListener, setMessageConverter, setPhase, setPubSubDomain, setReplyPubSubDomain, setReplyQosSettings, setSessionAcknowledgeMode, setSessionTransacted, setSubscriptionDurable, setSubscriptionShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleJmsListenerContainerFactory

    public SimpleJmsListenerContainerFactory()

### Method Detail

#### createContainerInstance

    protected SimpleMessageListenerContainer createContainerInstance()

Description copied from class: `AbstractJmsListenerContainerFactory`
Create an empty container instance.

Specified by:
  `createContainerInstance` in class `AbstractJmsListenerContainerFactory<SimpleMessageListenerContainer>`